/*
 *  kexbases\user32\_user32_stubs.c
 *
 *  Copyright (C) 2008-2010, Xeno86, Tihiy
 *  Copyright (C) 2015-2019, jumper
 *
 *  This file is part of KernelEx source code.
 *
 *  KernelEx is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; version 2 of the License.
 *
 *  KernelEx is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "common.h"
#define ERROR_NI             120L
#define HRESULT_NI    0x80004001L
#define STATUS_NI     0xC0000002L

   sUNIMPL_FUNC(PrintWindow,                        3);
  seUNIMPL_FUNC(SetLayeredWindowAttributes,         4, ERROR_NI);

 se_UNIMPL_FUNC(CalcMenuBar,                        5, STATUS_NI); //z5e ;loblo
  s_UNIMPL_FUNC(ChangeWindowMessageFilter,          2);           //f2 loblo
  s_UNIMPL_FUNC(CliImmSetHotKey,                    4);
 se_UNIMPL_FUNC(GetLayeredWindowAttributes,         4, ERROR_NI); //f4e ;loblo
  s_UNIMPL_FUNC(GetWindowRgnBox,                    2);           //z2 ;ie7
  s_UNIMPL_FUNC(InitSharedTable,                    4);           //Ley0k: An application who call this would make the system badly crash
  s_UNIMPL_FUNC(IsServerSideWindow,                 1);           //=f1 ** ;loblo
 rs_UNIMPL_FUNC(IsWinEventHookInstalled,        1,  1);           //o1 false-positive! ;Mshtml.IE7
  s_UNIMPL_FUNC(IsWindowInDestroy,                  1);           //=f1 ** ;loblo
 se_UNIMPL_FUNC(RegisterPowerSettingNotification,   3, ERROR_NI); //z3e ;IE9
  s_UNIMPL_FUNC(RegisterServicesProcess,            1);           //Ley0k
  s_UNIMPL_FUNC(SetProcessDPIAware,                 0);           //z0 fail    ;Foxit 7,0,6,1126
 rs_UNIMPL_FUNC(SetProcessDPIAware1,            1,  0);           //o0 success ;Foxit 7,0,6,1126
 se_UNIMPL_FUNC(UnregisterPowerSettingNotification, 1, ERROR_NI); //f1e ;IE9
 rs_UNIMPL_FUNC(User32InitializeImmEntryTable,  1,  1);           //o1
 se_UNIMPL_FUNC(UserHandleGrantAccess,              3, ERROR_NI); //z3e
rse_UNIMPL_FUNC(UserRealizePalette,            -1,  1, ERROR_NI); //t1e

  s_UNIMPL_FUNC(GetAppCompatFlags,                  1);           //z1   ;2k Gdi32
  s_UNIMPL_FUNC(GetAppCompatFlags2,                 1);           //z1   ;2k Gdi32
  s_UNIMPL_FUNC(InitializeLpkHooks,                 1);           //v1   ;2k Gdi32
 se_UNIMPL_FUNC(UpdatePerUserSystemParameters,      2, ERROR_NI); //f2e  ;Battlefield2

 se_UNIMPL_FUNC(KillSystemTimer,                    2, ERROR_NI); //f2e
 se_UNIMPL_FUNC(SetSystemTimer,                     4, ERROR_NI); //z4e
  s_UNIMPL_FUNC(RegisterUserApiHook,                2);           //f2
  s_UNIMPL_FUNC(UnregisterUserApiHook,              0);           //f0
 se_UNIMPL_FUNC(PaintMenuBar,                       6, STATUS_NI); //z6e

  s_UNIMPL_FUNC(GetCursorFrameInfo,                 5);           //z5

